Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 666998 - x11-misc/albert-0.14.22 : /.../telemetry.cpp:83:24: error: invalid use of incomplete type class QDebug
Summary: x11-misc/albert-0.14.22 : /.../telemetry.cpp:83:24: error: invalid use of inc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Palimaka (kensington)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-09-24 17:30 UTC by Toralf Förster
Modified: 2018-10-11 12:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.75 KB, text/plain)
2018-09-24 17:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,221.92 KB, text/plain)
2018-09-24 17:30 UTC, Toralf Förster
Details
environment (environment,117.29 KB, text/plain)
2018-09-24 17:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,23.79 KB, application/x-bzip)
2018-09-24 17:30 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.55 KB, application/x-bzip)
2018-09-24 17:30 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.93 KB, application/x-bzip)
2018-09-24 17:30 UTC, Toralf Förster
Details
x11-misc:albert-0.14.22:20180924-154022.log (x11-misc:albert-0.14.22:20180924-154022.log,83.01 KB, text/plain)
2018-09-24 17:30 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-09-24 17:30:34 UTC
/var/tmp/portage/x11-misc/albert-0.14.22/work/albert-0.14.22/lib/albertcore/src/core/telemetry.cpp: In lambda function:
/var/tmp/portage/x11-misc/albert-0.14.22/work/albert-0.14.22/lib/albertcore/src/core/telemetry.cpp:83:24: error: invalid use of incomplete type ‘class QDebug’
                 qDebug() << "Report sent.";
                        ^
In file included from /usr/include/qt5/QtCore/qglobal.h:1196,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_libressl_20180917-180518

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 

emerge -qpv x11-misc/albert
[ebuild  N    ] x11-misc/albert-0.14.22  USE="-debug" 

!!! The following installed packages are masked:
- dev-util/debugedit-4.14.2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Michał Górny <mgorny@gentoo.org> (24 Sep 2018)
# Apparently breaks sys-devel/gcc.  Bug #666954.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-09-24 17:30:37 UTC
Created attachment 547794 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-09-24 17:30:40 UTC
Created attachment 547796 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-09-24 17:30:44 UTC
Created attachment 547798 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-09-24 17:30:47 UTC
Created attachment 547800 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-09-24 17:30:50 UTC
Created attachment 547802 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-09-24 17:30:53 UTC
Created attachment 547804 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-09-24 17:30:56 UTC
Created attachment 547806 [details]
x11-misc:albert-0.14.22:20180924-154022.log
Comment 8 Larry the Git Cow gentoo-dev 2018-10-11 12:13:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adf34e8306457defbc95512c3c42836a5a7b7f65

commit adf34e8306457defbc95512c3c42836a5a7b7f65
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2018-10-11 12:13:14 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2018-10-11 12:13:33 +0000

    x11-misc/albert: fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/666998
    Signed-off-by: Michael Palimaka <kensington@gentoo.org>
    Package-Manager: Portage-2.3.49, Repoman-2.3.11

 x11-misc/albert/albert-0.14.22.ebuild              |  4 +++-
 x11-misc/albert/files/albert-0.14.22-qt-5.11.patch | 26 ++++++++++++++++++++++
 2 files changed, 29 insertions(+), 1 deletion(-)